function env=environment(varargin)
% FUNCTION env=fc_oogmsh.environment()
%   Retrieves the toolbox/package environment directories.
%
% <COPYRIGHT>

  [conffile,isFileExists]=fc_oogmsh.getLocalConfFile();
  if ~isFileExists
    fprintf('Try to use default parameters!\n Use fc_oogmsh.configure to configure.\n')
    fc_oogmsh.configure();
  end
  run(conffile);
  env.gmsh_bin=gmsh_bin;
  env.mesh_dir=mesh_dir;
  env.geo_dir=geo_dir;
  env.fc_tools_dir=fc_tools_dir;
  fullname=mfilename('fullpath');
  I=strfind(fullname,filesep);
  Path=fullname(1:(I(end-1)-1));
  env.Path=Path; % current toolbox path
end
